import * as React from 'react';
import { WedaApp } from '@cloudbase/lowcode-render';
import { default as data, dependencies } from './data';
import config from '../datasources/config';
import { loadDependencies } from '../utils/adapter/dependencies';
import lowcodeModulesMap from '../lowcode/index'

export default function App() {
  return (
    <WedaApp
      cals={data}
      dependencies={dependencies}
      historyOption={{
        type:
          process.env.historyType === 'HASH'
            ? 'HASH'
            : 'BROWSER',
        basename: '<%= basename %>',
        _indexPage: <%= context.history._indexPage ? 'true': 'false' %>
      }}
      _processDependencies={(deps)=>{
        return deps
      }}
      loadDependencies={loadDependencies}
      loadLowcodes={async (cals) => {
        return lowcodeModulesMap
      }}
      loadExternalResources={async ()=>null}
      context={{
        basic: <%= context.basic ? 'true': 'false' %>,
        getDatasourceConfig: () => {
          return config;
        },
        checkPageAuth: <%= context.checkPageAuth %>
      }}
      ErrorBoundary={React.Fragment}
      renderLoading={()=>null}
    ></WedaApp>
  );
}
